/* 
    Document   : style
    Created on : May 30, 2011, 1:23:05 PM
    Author     : Asif Chowdhury
    Description:
        Main Stylesheet for the BandX site
*/
body { background-color: #000000; color: #aaaaaa; font: normal 12px arial, helvetica, sans-serif; padding: 0px; margin: 0px;}

/** links **/
a:link.navButt { color: #bc627a; text-decoration: none; font-weight: bold; text-align: center; background-color: #000000;
		 width: 100px; display: block; padding-left: 10px; padding-right: 10px; padding-top: 4px; padding-bottom: 4px;
		 background: -webkit-gradient(linear, left bottom,left top,color-stop(0.26, #333333), color-stop(0.74, #000000));
		 background: -moz-linear-gradient(center bottom, #3333333 26%, #000000 74%);
		-moz-border-radius: 5px; -webkit-border-radius: 5px; border: solid 1px #cccccc;
}
a:visited.navButt { color: #bc627a; text-decoration: none; font-weight: bold; text-algin: center; background-color: #ffffff;
		    width: 100px; display: block; padding-left: 10px; padding-right: 10px; padding-top: 4px; padding-bottom: 4px;
		    background: -webkit-gradient(linear, left bottom,left top,color-stop(0.26, #dde3f3), color-stop(0.74, #ffffff));
		    background: -moz-linear-gradient(center bottom, #dde3f3 26%, #ffffff 74%);
		    -moz-border-radius: 5px; -webkit-border-radius: 5px; border: solid 1px #d1d9ec;
}
a:hover.navButt { color: #ffffff; text-decoration: underline; font-weight: bold; text-align: center; background-color: #333333;
		  width: 100px; display: block; padding-left: 10px; padding-right: 10px; padding-top: 4px; padding-bottom: 4px;
		  background: -webkit-gradient(linear, left bottom,left top,color-stop(0.26, #000000), color-stop(0.74, #333333));
		  background: -moz-linear-gradient(center bottom,#000000 26%, #333333 74%);
		  -moz-border-radius: 5px; -webkit-border-radius: 5px; border: solid 1px #d1d9ec;
}
a:link.searchLink {color: #222222;}
a:visited.searchLink {color: #444444;}
a:link.menuItem { display: block; width: 150px; height: 20px; background-color: #000000; color: #bc627a; padding: 4px; }
a:visited.menuItem { display: block; width: 150px; height: 20px; background-color: #000000; color: #bc627a; padding: 4px; }
a:hover.menuItem { display: block; width: 150px; height: 20px; background-color: #333333; color: #ffffff; padding: 4px; }
a:link.subMenuItem { display: block; width: 200px; height: 20px; background-color: #000000; color: #bc627a; padding: 4px; }
a:visited.subMenuItem { display: block; width: 200px; height: 20px; background-color: #000000; color: #bc627a; padding: 4px; }
a:hover.subMenuItem { display: block; width: 200px; height: 20px; background-color: #333333; color: #ffffff; padding: 4px; }
a:link.songAdminName { background-color: #000000; color: #bc627a; padding: 4px; }
a:visited.songAdminName { background-color: #000000; color: #bc627a; padding: 4px; }
a:hover.songAdminName { background-color: #000000; color: #cd738b; padding: 4px; }
a:link { color: #883311; text-decoration: none; }
a:visited { color: #883311; text-decoration: none; }
a:hover { color: #3366ff; text-decoration: underline;}
a.redButton { 
    color: #ffcccc; background-color: #ac505b; font-weight: bold; text-align: center;
    padding-left: 10px; padding-right: 10px; padding-top: 4px; padding-bottom: 4px;
    background: -webkit-gradient(linear, left bottom,left top,color-stop(0.26, #d0626e), color-stop(0.74, #290812));
    background: -moz-linear-gradient(center bottom, #d0626e 26%, #290812 74%);
    -moz-border-radius: 5px; -webkit-border-radius: 5px; border: solid 1px #666633;    
}
a.redButton:hover {
    color: #ffcccc; background-color: #ac505b; font-weight: bold; text-align: center;
    padding-left: 10px; padding-right: 10px; padding-top: 4px; padding-bottom: 4px;
    background: -webkit-gradient(linear, left bottom,left top,color-stop(0.26, #290812), color-stop(0.74, #d0626e));
    background: -moz-linear-gradient(center bottom, #290812 26%, #d0626e 74%);
    -moz-border-radius: 5px; -webkit-border-radius: 5px; border: solid 1px #666633;
}

/** Generic stuff **/
.button {
    color: #bc627a;; text-decoration: underline; font-weight: bold; text-align: center;
    background-color: #000000; padding-left: 10px; padding-right: 10px; padding-top: 4px; padding-bottom: 4px;
    background: -webkit-gradient(linear, left bottom,left top,color-stop(0.26, #3333333), color-stop(0.74, #000000));
    background: -moz-linear-gradient(center bottom, #333333 26%, #000000 74%);
    -moz-border-radius: 5px; -webkit-border-radius: 5px; border: solid 1px #cccccc;
}
.button:hover {
    color: #3366ff; text-decoration: underline; font-weight: bold; text-align: center; backgroud-color: #dde3f3;
    padding-left: 10px; padding-right: 10px; padding-top: 4px; padding-bottom: 4px;
    background: -webkit-gradient(linear, left bottom,left top,color-stop(0.26, #000000), color-stop(0.74, #333333));
    background: -moz-linear-gradient(center bottom,#000000 26%, #333333 74%);
    -moz-border-radius: 5px; -webkit-border-radius: 5px; border: solid 1px #d1d9ec;
}
.navBuffer { padding-left: 25px; padding-right: 25px; width: 850px; font-weight: bold; padding-top: 5px; padding-bottom: 5px; margin: auto; }
.navButtWrapper { display: block; width: 100px; float: left; padding-left: 10px; padding-right: 10px; padding-top: 4px; padding-bottom: 4px; margin: 5px; }
.navMenu { position: absolute; display: none; border: solid 1px #aaaaaa; z-index: 10; }
.rightHandMenu { left: 160px; top: -5px;}
.data { position: relative; width: 100%; padding: 0px; margin: auto; text-align: left; }
.center { text-align: center; }
.block { padding: 0px; width: 50%; margin: 0px; border-width: 0px; float: left; }
.blockRight { position: relative; text-align: left; width: 50%; padding: 0px; margin: 0px; border-width: 0px; float: right; }
.endRow { position: relative; width: 1px; height: 1px; display: block; visibility: hidden; clear: both; }
.mainWrapper { width: 950px; margin: auto; text-align: left;}
.topBorder { border-top: solid 1px #aaaaaa; }
.bottomBorder { border-bottom: solid 1px #aaaaaa; }
.leftBorder { border-left: solid 1px #aaaaaa; }
.rightBorder { border-right: solid 1px #aaaaaa; }
.titleText { font-size: 16px; font-weight: bold; padding-left: 10px; color: #666666;}
.hugeTopPadding { padding-top: 20px; }
.largeTopPadding { padding-top: 10px; }
.mediumTopPadding { padding-top: 5px; }
.smallTopPadding { padding-top: 2px; }
.hugeBottomPadding { padding-bottom: 20px; }
.largeBottomPadding { padding-bottom: 10px; }
.mediumBottomPadding { padding-bottom: 5px; }
.smallBottomPadding { padding-bottom: 2px; }
.leftSmallPadding { padding-left: 5px; }
.leftMediumPadding { padding-left: 10px; }
.leftLargePadding { padding-left: 20px; }
.leftHugePadding { padding-left: 50px; }
.rightSmallPadding { padding-right: 5px; }
.rightMediumPadding { padding-right: 10px; }
.rightLargePadding { padding-right: 20px; }
.rightHugePadding { padding-right: 50px; }
.titleBar { border-top: ridge 2px #aaaaaa; border-bottom: ridge 2px #aaaaaa; background-color: #5f5f5f; }
.error { font-weight: bold; color: #ff0000; }
.formLabel { font-weight: bold; text-align: right; width: 48%; padding-right: 2px; }
.formInput { font-weight: normal; text-align: left; width: 48%; padding-left: 5px; color: #fff; background-color: #000; }
.contactTextarea { color: #000; background-color: #fff; }

.quarter { width: 25%; }
.threeQuarter { width: 75%; }
.third { width: 33%; }
.twoThird { width: 66%; }

.greyback {
    color: #eeeeee;
    background: -webkit-gradient(linear, left bottom,left top,color-stop(0.26, #444444), color-stop(0.74, #000000));
    background: -moz-linear-gradient(center bottom, #444444 26%, #000000 74%);
    -moz-border-radius: 5px; -webkit-border-radius: 5px; border: solid 1px #d1d9ec;
    background-color: #444444
}
.darkgreyback {
    background: -webkit-gradient(linear, left bottom,left top,color-stop(0.26, #3333333), color-stop(0.74, #000000));
    background: -moz-linear-gradient(center bottom, #333333 26%, #000000 74%);
    -moz-border-radius: 5px; -webkit-border-radius: 5px; border: solid 1px #d1d9ec;
    background-color: #333333;
}
.blueback {
    background: -webkit-gradient(linear, left bottom,left top,color-stop(0.26, #dde3f3), color-stop(0.74, #ffffff));
    background: -moz-linear-gradient(center bottom, #dde3f3 26%, #ffffff 74%);
    -moz-border-radius: 5px; -webkit-border-radius: 5px; border: solid 1px #d1d9ec;
    background-color: #ffffff;
}
.darkback {
    background-color: #222222; min-height: 220px; padding-top: 10px; padding-bottom: 10px;
    -moz-border-radius: 5px; -webkit-border-radius: 5px; border: solid 1px #d1d9ec;
}
.rightLine {text-align: right;}
.searchLink {color: #666666;}
.searchLabel {color:#000066; padding-bottom: 5px; padding-top: 5px; font-size: 12px;}
.latestItemRow {background-color: #ccccff; border-bottom: solid 1px #aaaaaa;}
.randomItem {position: absolute; top: 0px; left: 0px; width: 400px; height: 420px; background-color: #F8F8FF; overflow: auto; text-align: center; margin-top: 0px; border: solid 1px #666666;}
.hidden {display: none;}
.formButton {background-color: #B9D3DF;}
.small {font-size: 9px;}

/** rails and main content **/
.leftRail { width: 130px; padding: 10px;  background-color: #000000;
		background: -webkit-gradient(linear, left bottom,left top,color-stop(0.26, #333333), color-stop(0.74, #000000));
		background: -moz-linear-gradient(center bottom, #333333 26%, #000000 74%);
		-moz-border-radius: 5px; -webkit-border-radius: 5px; border: solid 1px #d1d9ec;
	    float: left; margin: 0px; margin-right: 10px;
}
.rightRail { width: 130px; padding: 10px; background-color: #000000;
		background: -webkit-gradient(linear, left bottom,left top,color-stop(0.26, #333333), color-stop(0.74, #000000));
		background: -moz-linear-gradient(center bottom, #333333 26%, #000000 74%);
		-moz-border-radius: 5px; -webkit-border-radius: 5px; border: solid 1px #d1d9ec;
	    float: left; margin: 0px; margin-left: 10px;
}
.smallContent { width: 580px; padding: 10px; background-color: #000000;
		background: -webkit-gradient(linear, left bottom,left top,color-stop(0.26, #333333), color-stop(0.74, #000000));
		background: -moz-linear-gradient(center bottom, #333333 26%, #000000 74%);
		-moz-border-radius: 5px; -webkit-border-radius: 5px; border: solid 1px #d1d9ec;
		float: left;
}
.mediumContent { width: 730px; padding: 10px; background-color: #000000;
		background: -webkit-gradient(linear, left bottom,left top,color-stop(0.26, #333333), color-stop(0.74, #000000));
		background: -moz-linear-gradient(center bottom, #333333 26%, #000000 74%);
		-moz-border-radius: 5px; -webkit-border-radius: 5px; border: solid 1px #d1d9ec;
		float: left;
}
.largeContent { width: 100%; padding: 10px; border: solid 1px #666633; background-color: #000000;
		background: -webkit-gradient(linear, left bottom,left top,color-stop(0.26, #333333), color-stop(0.74, #000000));
		background: -moz-linear-gradient(center bottom, #333333 26%, #000000 74%);
		-moz-border-radius: 5px; -webkit-border-radius: 5px; border: solid 1px #d1d9ec;
}

/**nitty gritty stuff */
.bannerAd { width: 720px; }
.articleAuthor { font-weight: bold; color: #006666; }
.articleDate { font-weight: bold; color: #336633; }
.alternate { color: #ffffff; background-color: #333333; opacity: 0.7; filter: alpha(opacity=70); }
.albumImageBlock { width: 25%; }
.albumDescriptionBlock { width: 74%; }
.albumDescriptionText { width: 300px; margin: auto; }
.albumInfoLeft { width: 67%; min-height: 400px; }
.albumInfoRight { width: 32%; }
.songAlbumBlock {width: 19%; margin-right: 8px; }
.buyWrapper { width: 730px; }
.buyButton { float: left; width:117px; height:57px; margin:0; padding:0; border:0; background-image:url(http://www.cdbaby.com/Images/Links/BlackScratch-Buy_Album_nothumb.png); }
a.buyButtonLink { display:block; width:117px; height:57px; margin:0; border:0; }
.buyDescriptionLink { width: 600px; float: left; padding-top: 20px; margin-left: 10px; }
#contactForm .mediumTopPadding .formLabel { width: 25%; }
#contactForm .mediumTopPadding .formInput {width: 74%; }

/** album admin **/
.albumAdminListLeftBlock { width: 45%; }
.albumAdminListRightBlock { width: 54%; }
.albumInput { color: #ffffff; background-color: #000033; border: solid 1px #0000ff; }
.albumInput:hover { color: #ffffff; background-color: #666666; border: solid 1px #00ffff; }
.adminListing:hover { background-color: #666666; color: #ffffff;}
.albumInputLabelBlock { width: 25%; text-align: left; font-weight: bold; }
.albumInputInputBlock { width: 74%; text-align: left; font-weight: normal; }
.songInputLabelBlock { width: 25%; text-align: left; font-weight: bold; }
.songInputInputBlock { width: 74%; text-align: left; font-weight: normal; }
.songListingLink { width: 95%; }
.songListingDelete { width: 4%; }
.songListingDeleteLink { width: 16px; height: 16px; background-image:url(../images/delete.jpg);}

/** site admin **/
.pageInput { font-weight: bold; color: #ffffff; background-color: #000000; }


/** Playlist stuff **/
.plHead { display: block; width: 98%; text-align: left; font-weight: bold; padding-top: 10px; border-bottom: solid 1px #0ff; }
.plHeadNum { float: left; width: 15%; text-align: left; font-weight: bold; color: #0ff; }
.plHeadTitle { float: left; width: 64%; text-align: left; font-weight: bold; color: #0ff; }
.plHeadLength { float: left; width: 20%; text-align: left; font-weight: bold; color: #0ff; }

.plItem { display: block; width: 98%; text-align: left;}
.plNum { float: left; width: 15%; text-align: left; color: #09a; }
.plTitle { float: left; width: 64%; text-align: left; color: #09a; }
.plLength { float: left ; width: 20%; text-align: left; color: #09a; }

#plwrap { display: block; width: 100%; border-style: inset; background-color: #003; }
#plUL { margin-left: 0; padding-left: 0; }

.pl_song:hover { background-color: #666666; font-weight: bold; }
.pl_song { background-color: transparent; font-weight: normal;  list-style-type: none; margin-left: 0; padding-left: 0; }

/** Slideshow **/
#main_slideshow {
    display: block;
    position: relative;
    margin: auto;
    width: 580px;
    height: 500px;
    padding: 10px 10px 10px 10px;
}
.slideshow_center { 
    position: absolute; 
    top: 10px; 
    left: 10px; 
    right: 10px; 
    bottom: 10px; 
}
